org.richfaces.component

## Enum UIDragIndicator.Properties

- java.lang.Object
- - java.lang.Enum<UIDragIndicator.Properties>
  - - org.richfaces.component.UIDragIndicator.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDragIndicator.Properties>
  Enclosing class:
    UIDragIndicator

      protected static enum UIDragIndicator.Properties
      extends Enum<UIDragIndicator.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `acceptClass`
    `draggingClass`
    `rejectClass`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDragIndicator.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDragIndicator.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### acceptClass

          public static final UIDragIndicator.Properties acceptClass

    - #### draggingClass

          public static final UIDragIndicator.Properties draggingClass

    - #### rejectClass

          public static final UIDragIndicator.Properties rejectClass

  - ### Method Detail

    - #### values

          public static UIDragIndicator.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDragIndicator.Properties c : UIDragIndicator.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDragIndicator.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.